%bcond_without tests

Name:           ansible-collection-community-mysql
Version:        3.7.2
Release:    1%{?dist}
Summary:        MySQL collection for Ansible

License:        GPL-3.0-or-later AND PSF-2.0 AND BSD-2-Clause
URL:            https://github.com/ansible-collections/community.mysql
Source0:         https://github.com/ansible-collections/community.mysql/archive/%{version}/%{name}-%{version}.tar.gz
Patch:          build_ignore.patch

BuildRequires:  ansible-packaging
%if %{with tests}
BuildRequires:  ansible-packaging-tests
%endif

BuildArch:      noarch

%description
%{summary}.

%prep
%autosetup -n community.mysql-%{version}
find -type f ! -executable -name '*.py' -print -exec sed -i -e '1{\@^#!.*@d}' '{}' +

%build
%ansible_collection_build

%install
%ansible_collection_install

%if %{with tests}
%check
%ansible_test_unit
%endif

%files -f %{ansible_collection_filelist}
%license COPYING PSF-license.txt simplified_bsd.txt CONTRIBUTORS
%doc README.md CHANGELOG.rst

%changelog
* Fri Jul 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.2-1
- initial build
